# Hekili

## [v10.0.2-2.0.13](https://github.com/Hekili/hekili/tree/v10.0.2-2.0.13) (2023-01-09)
[Full Changelog](https://github.com/Hekili/hekili/compare/v10.0.2-2.0.12...v10.0.2-2.0.13) [Previous Releases](https://github.com/Hekili/hekili/releases)

- Interpreter will translate RtB-related expressions in Outlaw priorities.  
- .gitignore AGAIN  
- Evoker empowerment time-manipulation.  
- Devastation: Forecast Essence Burst stacks from Leaping Flames, maybe.  
- Outlaw update.  
- Unholy update.  
- Shaman: Priority updates and Windfury Totem tweak.  
- Arcane: Adjust aoe/spark\_phase to successfully cast TotM more often.  
- Narrow Improved Garrote window slightly.  
- Minor cleanups.  
- Merge branch 'dragonflight' of https://github.com/Hekili/hekili into dragonflight  
- Merge pull request #2011 from Krytos/patch-3  
- Merge pull request #2227 from IIeTpoc/patch-8  
- Merge pull request #2181 from yurikenus/dragonflight  
- Demo: Use Implosion more (#2228)  
- Merge branch 'Hekili:dragonflight' into dragonflight  
- Merge branch 'Hekili:dragonflight' into dragonflight  
- Removed Dupe Abilities in Preservation that exist in Devastate  
    Primarily removed many abilities that were already in Devastation (following on aura dupe removal in an earlier commit).  
    Also removed texture references, matching the convention of newer files.  
- Removing Dupe Auras from Preservation file  
    Given that auras can use the Devastation file as a single source of truth, removing any auras from Preservation that already exist in Devastation, unless they are different.  
- Merge branch 'dragonflight' of https://github.com/yurikenus/hekili into dragonflight  
- Keeping up with Devastation changes  
    Trying to keep these in-sync until I have clarity about whether things beyond auras and abilities (e.g. functions, handlers, expressions, hooks, etc.) will correctly function if only included in Devastation's lua code.  
- Assassination bleed multiplier new fix   
    Nightstalker only boosts damage by 8% now https://www.wowhead.com/spell=14062/nightstalker#changelog
  
    Subterfuge does not boost Garrote damage anymore https://www.wowhead.com/spell=108208/subterfuge#changelog
  
    Basically the same as #2083 . I did not notice there are several bleed multiplier functions before.  
- Merge branch 'Hekili:dragonflight' into dragonflight  
- Remove individual auras (Blessing of the Bronze aura and Fury of the Aspects) from EvokerPreservation.lua  
    Following what Hekili did on Devastation, also removing individual BotB aura and Fury of the Aspects from this file.  They are both located in Classes.lua.  
    May remove other common auras/abilities in a future sweep if identical to those found in Devastation.lua or elsewhere.  
- Updated Aura spell ID for Blessing of the Bronze  
    There are actually tons of spell IDs for this buff when applied to different classes (looks like one per class, possibly others if different specs have different movement abilities impacted).  Since we are concerned about the one applied to Evokers (whether self-cast or cast by other Evokers), we'll use the Aura ID applied to Evokers for this one.  
    This was previously handled by having a different aura for "blessing\_of\_the\_bronze\_evoker" but that was removed and I don't know if having both versions is applicable for an Evoker file.  However, if other classes were tracking this buff for any reason, they'd want to reference their own ID for the buff.  
- Revert "Merge branch 'dragonflight' of https://github.com/yurikenus/hekili into dragonflight"  
    This reverts commit ef83beb4842df416f23c622e7332a34417b9361b, reversing  
    changes made to bab695d14235396bbb28b2dac4b5403da173b2fc.  
    Revert "Revert "Merge branch 'dragonflight' of https://github.com/yurikenus/hekili into dragonflight""  
- Merge branch 'dragonflight' of https://github.com/yurikenus/hekili into dragonflight  
- Update EvokerPreservation.lua  
    Commented out the dispellable\_bleed - it was throwing Warnings and I wasn't sure how to resolve.  There are other (presumably working?) references (e.g. Stoneform), but I probably haven't connected those dots all the way.  
- Merge branch 'Hekili:dragonflight' into dragonflight  
- Update EvokerPreservation.lua  
    Readded runHandler Hook for actions, incorrectly left out of prior merge of Devastation work, which caused major issues with multiple functions, especially while empowering a spell.  
    Commented out Cycle of Life handling in function for Emerald Blossom until fully ready to implement.  This was causing the APL to hang when selected and when EB was used.  
- Migrate Relevant Devastation Changes into Preservation  
    Moved significant logic over from the work in EvokerDevastation.lua, as applicable.  Made tweaks as necessary, especially on functions and talents not applicable to Preservation.  Nothing here is really novel, just copy/paste/tweak /adapt from Devastation while reviewing.  
    Notable callouts:  
    - Pulled over empowerment code to make it available to empowered spells (e.g. Fire Breath, Dream Breath, Spiritbloom) and related abilities (e.g. Leaping Flames charges)  
    - Improved auras to flexibly follow talent selections, notably essence burst, essence attunement, extended flight.  
    - Improve MANY abilities to use Hekili's logic from Devastation, including their usable flags, target counts, dmg/healing, cast time, charge handling, empowered handling, and handler functions, etc.  
    - Also brought over Settings.  
- "Reserve Rage" changes  
    Changed the reserve\_rage setting to only kick in once either ignore pain or shield block have only  3 sec or less time left and only if you are actively tanking. No need to reserve rage otherwise, since it will hurt you in the long run, since you will have less Shield Slam resets and thus less rage gen.  